export declare class Layout {
    id: string;
    name: string;
    items: LayoutItem[];
    constructor(id: string, name: string, items: LayoutItem[]);
}
export declare class LayoutItem {
    _id: string;
    height: number;
    width: number;
    minHeight?: number;
    minWidth?: number;
    maxHeight?: number;
    maxWidth?: number;
    x: number;
    y: number;
    componentName: string;
    id: string;
    dataOptins: any;
    constructor(js?: any);
    static fromJS(js: any): LayoutItem;
}
export declare class CreateLayoutEntity {
    name: string;
}
export declare class DeleteLayoutEntity {
    name: string;
}
